AuSetElementStates(3)

Name
AuSetElementStates - set the state of elements in a flow

Synopsis
#include <audio/audiolib.h>

void AuSetElementStates(server, num_states, states, status)
    AuServer *server;
    int num_states;
    AuElementStates *states;
    AuStatus *status; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

num_states
    Specifies the number of element states.

states
    Specifies the list of element states to use.

status
    If non-NULL, flush the output buffer and return the status from the server.

Description
AuSetElementStates changes the states of those elements in those flows specified in states.

NoteS
Attempting to set the state of non-component elements (AddConstant, Bundle, ExportMonitor, MultiplyConstant, and Sum) will result in an error.

Errors
AuBadFlow, AuBadElement, AuBadAlloc, AuBadLength.

See Also
AuGetElementStates.

audiolib - Network Audio System C Language Interface